Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.model
Interface ModelPackage.Literals

Enclosing interface:
  ModelPackage

    public static interface ModelPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `DOMAIN_INTERMEDIATE` The meta object literal for the ' `Domain Intermediate`' class.
`static org.eclipse.emf.ecore.EReference` | `DOMAIN_INTERMEDIATE__TEST_ELEMENT_CONTAINER` The meta object literal for the 'Test Element Container' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `DOMAIN_ROOT` The meta object literal for the '`Domain Root`' class.
`static org.eclipse.emf.ecore.EReference` | `DOMAIN_ROOT__INTERMEDIATE` The meta object literal for the 'Intermediate' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `DYNAMIC_CONTAINMENT_ITEM` The meta object literal for the ' `Dynamic Containment Item`' class.
`static org.eclipse.emf.ecore.EAttribute` | `DYNAMIC_CONTAINMENT_ITEM__BASE_ITEM_INDEX` The meta object literal for the 'Base Item Index' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DYNAMIC_CONTAINMENT_ITEM__COMPOSITE` The meta object literal for the 'Composite' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DYNAMIC_CONTAINMENT_ITEM__DOMAIN_MODEL` The meta object literal for the 'Domain Model' reference feature.
`static org.eclipse.emf.ecore.EReference` | `DYNAMIC_CONTAINMENT_ITEM__ITEMS` The meta object literal for the 'Items' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `DYNAMIC_CONTAINMENT_TREE` The meta object literal for the ' `Dynamic Containment Tree`' class.
`static org.eclipse.emf.ecore.EReference` | `DYNAMIC_CONTAINMENT_TREE__CHILD_COMPOSITE` The meta object literal for the 'Child Composite' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DYNAMIC_CONTAINMENT_TREE__CHILD_REFERENCE` The meta object literal for the 'Child Reference' reference feature.
`static org.eclipse.emf.ecore.EReference` | `DYNAMIC_CONTAINMENT_TREE__DOMAIN_MODEL` The meta object literal for the 'Domain Model' reference feature.
`static org.eclipse.emf.ecore.EReference` | `DYNAMIC_CONTAINMENT_TREE__ITEMS` The meta object literal for the 'Items' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `DYNAMIC_CONTAINMENT_TREE__PATH_TO_ROOT` The meta object literal for the 'Path To Root' reference list feature.
`static org.eclipse.emf.ecore.EClass` | `DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE` The meta object literal for the ' `Dynamic Containment Tree Domain Model Reference`' class.
`static org.eclipse.emf.ecore.EReference` | `DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__PATH_FROM_BASE` The meta object literal for the 'Path From Base' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__PATH_FROM_ROOT` The meta object literal for the 'Path From Root' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `TEST_ELEMENT` The meta object literal for the '`Test Element`' class.
`static org.eclipse.emf.ecore.EReference` | `TEST_ELEMENT__ELEMENTS` The meta object literal for the 'Elements' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `TEST_ELEMENT__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `TEST_ELEMENT__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `TEST_ELEMENT__PARENT_ID` The meta object literal for the 'Parent Id' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `TEST_ELEMENT_CONTAINER` The meta object literal for the ' `Test Element Container`' class.
`static org.eclipse.emf.ecore.EAttribute` | `TEST_ELEMENT_CONTAINER__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `TEST_ELEMENT_CONTAINER__TEST_ELEMENTS` The meta object literal for the 'Test Elements' containment reference list feature.

Field Detail

### DYNAMIC_CONTAINMENT_TREE

    static final org.eclipse.emf.ecore.EClass DYNAMIC_CONTAINMENT_TREE

  The meta object literal for the ' `Dynamic Containment Tree`' class.

  See Also:
    `DynamicContainmentTreeImpl`, `ModelPackageImpl.getDynamicContainmentTree()`

### DYNAMIC_CONTAINMENT_TREE__DOMAIN_MODEL

    static final org.eclipse.emf.ecore.EReference DYNAMIC_CONTAINMENT_TREE__DOMAIN_MODEL

  The meta object literal for the 'Domain Model' reference feature.

### DYNAMIC_CONTAINMENT_TREE__CHILD_REFERENCE

    static final org.eclipse.emf.ecore.EReference DYNAMIC_CONTAINMENT_TREE__CHILD_REFERENCE

  The meta object literal for the 'Child Reference' reference feature.

### DYNAMIC_CONTAINMENT_TREE__PATH_TO_ROOT

    static final org.eclipse.emf.ecore.EReference DYNAMIC_CONTAINMENT_TREE__PATH_TO_ROOT

  The meta object literal for the 'Path To Root' reference list feature.

### DYNAMIC_CONTAINMENT_TREE__CHILD_COMPOSITE

    static final org.eclipse.emf.ecore.EReference DYNAMIC_CONTAINMENT_TREE__CHILD_COMPOSITE

  The meta object literal for the 'Child Composite' containment reference feature.

### DYNAMIC_CONTAINMENT_TREE__ITEMS

    static final org.eclipse.emf.ecore.EReference DYNAMIC_CONTAINMENT_TREE__ITEMS

  The meta object literal for the 'Items' containment reference list feature.

### DYNAMIC_CONTAINMENT_ITEM

    static final org.eclipse.emf.ecore.EClass DYNAMIC_CONTAINMENT_ITEM

  The meta object literal for the ' `Dynamic Containment Item`' class.

  See Also:
    `DynamicContainmentItemImpl`, `ModelPackageImpl.getDynamicContainmentItem()`

### DYNAMIC_CONTAINMENT_ITEM__DOMAIN_MODEL

    static final org.eclipse.emf.ecore.EReference DYNAMIC_CONTAINMENT_ITEM__DOMAIN_MODEL

  The meta object literal for the 'Domain Model' reference feature.

### DYNAMIC_CONTAINMENT_ITEM__ITEMS

    static final org.eclipse.emf.ecore.EReference DYNAMIC_CONTAINMENT_ITEM__ITEMS

  The meta object literal for the 'Items' containment reference list feature.

### DYNAMIC_CONTAINMENT_ITEM__COMPOSITE

    static final org.eclipse.emf.ecore.EReference DYNAMIC_CONTAINMENT_ITEM__COMPOSITE

  The meta object literal for the 'Composite' containment reference feature.

### DYNAMIC_CONTAINMENT_ITEM__BASE_ITEM_INDEX

    static final org.eclipse.emf.ecore.EAttribute DYNAMIC_CONTAINMENT_ITEM__BASE_ITEM_INDEX

  The meta object literal for the 'Base Item Index' attribute feature.

### TEST_ELEMENT

    static final org.eclipse.emf.ecore.EClass TEST_ELEMENT

  The meta object literal for the '`Test Element`' class.

  See Also:
    `TestElementImpl`, `ModelPackageImpl.getTestElement()`

### TEST_ELEMENT__ID

    static final org.eclipse.emf.ecore.EAttribute TEST_ELEMENT__ID

  The meta object literal for the 'Id' attribute feature.

### TEST_ELEMENT__ELEMENTS

    static final org.eclipse.emf.ecore.EReference TEST_ELEMENT__ELEMENTS

  The meta object literal for the 'Elements' containment reference list feature.

### TEST_ELEMENT__PARENT_ID

    static final org.eclipse.emf.ecore.EAttribute TEST_ELEMENT__PARENT_ID

  The meta object literal for the 'Parent Id' attribute feature.

### TEST_ELEMENT__NAME

    static final org.eclipse.emf.ecore.EAttribute TEST_ELEMENT__NAME

  The meta object literal for the 'Name' attribute feature.

### DOMAIN_ROOT

    static final org.eclipse.emf.ecore.EClass DOMAIN_ROOT

  The meta object literal for the '`Domain Root`' class.

  See Also:
    `DomainRootImpl`, `ModelPackageImpl.getDomainRoot()`

### DOMAIN_ROOT__INTERMEDIATE

    static final org.eclipse.emf.ecore.EReference DOMAIN_ROOT__INTERMEDIATE

  The meta object literal for the 'Intermediate' containment reference feature.

### DOMAIN_INTERMEDIATE

    static final org.eclipse.emf.ecore.EClass DOMAIN_INTERMEDIATE

  The meta object literal for the ' `Domain Intermediate`' class.

  See Also:
    `DomainIntermediateImpl`, `ModelPackageImpl.getDomainIntermediate()`

### DOMAIN_INTERMEDIATE__TEST_ELEMENT_CONTAINER

    static final org.eclipse.emf.ecore.EReference DOMAIN_INTERMEDIATE__TEST_ELEMENT_CONTAINER

  The meta object literal for the 'Test Element Container' containment reference feature.

### TEST_ELEMENT_CONTAINER

    static final org.eclipse.emf.ecore.EClass TEST_ELEMENT_CONTAINER

  The meta object literal for the ' `Test Element Container`' class.

  See Also:
    `TestElementContainerImpl`, `ModelPackageImpl.getTestElementContainer()`

### TEST_ELEMENT_CONTAINER__TEST_ELEMENTS

    static final org.eclipse.emf.ecore.EReference TEST_ELEMENT_CONTAINER__TEST_ELEMENTS

  The meta object literal for the 'Test Elements' containment reference list feature.

### TEST_ELEMENT_CONTAINER__ID

    static final org.eclipse.emf.ecore.EAttribute TEST_ELEMENT_CONTAINER__ID

  The meta object literal for the 'Id' attribute feature.

### DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE

    static final org.eclipse.emf.ecore.EClass DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE

  The meta object literal for the ' `Dynamic Containment Tree Domain Model Reference`' class.

  See Also:
    `DynamicContainmentTreeDomainModelReferenceImpl`, `ModelPackageImpl.getDynamicContainmentTreeDomainModelReference()`

### DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__PATH_FROM_ROOT

    static final org.eclipse.emf.ecore.EReference DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__PATH_FROM_ROOT

  The meta object literal for the 'Path From Root' containment reference feature.

### DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__PATH_FROM_BASE

    static final org.eclipse.emf.ecore.EReference DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__PATH_FROM_BASE

  The meta object literal for the 'Path From Base' containment reference feature.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.